<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.lv.jtp.jump</name>
<version>13</version>
<engineversion>25</engineversion>
<description>JTP - handles return to homesector for bigships</description>
<arguments>
<argument index="1" name="jumpsec" type="Var/Sector" desc="jumpsec" />
</arguments>
<sourcetext>
<line linenr="001" indent=""></line>
<line linenr="002" indent=""><var>$re</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>1</var><text>&#160;to&#160;</text><var>5</var><text>&#160;-&#160;1</text></line>
<line linenr="003" indent=""></line>
<line linenr="004" indent=""><var>if&#160;</var><var>$re</var><text>&#160;</text><var>==</var><text>&#160;</text><var>1</var></line>
<line linenr="005" indent="&#160;"><var>$gate&#160;=&#160;</var><var>$jumpsec&#160;-&gt;</var><text>&#160;get&#160;north&#160;warp&#160;gate</text></line>
<line linenr="006" indent=""><text>end</text></line>
<line linenr="007" indent=""><var>if&#160;</var><var>$re</var><text>&#160;</text><var>==</var><text>&#160;</text><var>2</var></line>
<line linenr="008" indent="&#160;"><var>$gate&#160;=&#160;</var><var>$jumpsec&#160;-&gt;</var><text>&#160;get&#160;south&#160;warp&#160;gate</text></line>
<line linenr="009" indent=""><text>end</text></line>
<line linenr="010" indent=""><var>if&#160;</var><var>$re</var><text>&#160;</text><var>==</var><text>&#160;</text><var>3</var></line>
<line linenr="011" indent="&#160;"><var>$gate&#160;=&#160;</var><var>$jumpsec&#160;-&gt;</var><text>&#160;get&#160;east&#160;warp&#160;gate</text></line>
<line linenr="012" indent=""><text>end</text></line>
<line linenr="013" indent=""><var>if&#160;</var><var>$re</var><text>&#160;</text><var>==</var><text>&#160;</text><var>4</var></line>
<line linenr="014" indent="&#160;"><var>$gate&#160;=&#160;</var><var>$jumpsec&#160;-&gt;</var><text>&#160;get&#160;west&#160;warp&#160;gate</text></line>
<line linenr="015" indent=""><text>end</text></line>
<line linenr="016" indent=""></line>
<line linenr="017" indent=""></line>
<line linenr="018" indent=""></line>
<line linenr="019" indent=""><var>if&#160;not&#160;</var><var>$gate&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="020" indent="&#160;"><var>$gate&#160;=&#160;</var><var>$jumpsec</var></line>
<line linenr="021" indent=""><text>end</text></line>
<line linenr="022" indent=""></line>
<line linenr="023" indent=""><var>$csec&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="024" indent=""><var>if&#160;</var><var>$csec</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>$jumpsec</var></line>
<line linenr="025" interruptable="@" indent="&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!move.jump</call><text>&#160;:&#160;</text><text>&#160;gate&#160;or&#160;sector=</text><var>$gate</var><text>&#160;</text><text>&#160;followers&#160;should&#160;jump&#160;too=</text><var>[TRUE]</var></line>
<line linenr="026" indent=""><text>end</text></line>
<line linenr="027" indent=""></line>
<line linenr="028" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.lv.jtp.jump" /><sval type="int" val="25" /><sval type="string" val="JTP - handles return to homesector for bigships" /><sval type="int" val="13" /><sval type="int" val="0" /><sval type="array" size="4"><sval type="string" val="jumpsec" /><sval type="string" val="re" /><sval type="string" val="gate" /><sval type="string" val="csec" /></sval><sval type="array" size="15"><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="5" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610611965" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="806" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610611453" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="807" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610610941" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="808" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610610429" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="809" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="-536868092" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610609149" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!move.jump" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131075" /><sval type="int" val="10" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="14" /><sval type="string" val="jumpsec" /></sval></sval><sval type="array" size="13"><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="3" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="5" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="7" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="11" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="11" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
